API referenceSubscriptions
Cancel at period end (default) or immediately
AuthorizationBearer <token>
API key from Settings → API keys
In: header
Path Parameters
storeId*string
subscriptionId*string
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X POST "https://example.com/v1/stores/string/subscriptions/string/cancel" \ -H "Content-Type: application/json" \ -d '{}'{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "env": "live", "status": "pending", "email": "string", "customerId": "87d8e330-2878-4742-a86f-dbbb3bf522ac", "productId": "dcd53ddb-8104-4e48-8cc0-5df1088c6113", "variantId": "d53feca7-c65b-4741-aca7-827a42d686bf", "productName": "string", "variantName": "string", "qty": -9007199254740991, "currency": "string", "unitPriceMinor": -9007199254740991, "recurringMinor": -9007199254740991, "interval": "day", "intervalCount": -9007199254740991, "intervalLabel": "string", "trialDays": -9007199254740991, "trialEndsAt": "string", "renewalDelivery": "redeliver", "renewalMethod": "auto", "paymentMethod": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "label": "string", "provider": "string" }, "savedMethodLabel": "string", "cancelAtPeriodEnd": true, "cancelReason": "string", "cancelledBy": "string", "startedAt": "string", "currentPeriodStart": "string", "currentPeriodEnd": "string", "cyclesCompleted": -9007199254740991, "pastDueSince": "string", "retryCount": -9007199254740991, "nextRetryAt": "string", "endedAt": "string", "endedReason": "string", "initialOrderId": "71d1eb9e-8566-409b-919b-3de263dfa61a", "testDeclineNext": true, "createdAt": "string"}